GenLib User's Manual
<<< Previous |  | Next >>>

# DPGEN_CONST

## Name

DPGEN_CONST -- Constant Macro-Generator

## Synopsis

    #include  <genlib.h>

``void `GENLIB_MACRO``(DPGEN_CONST, char *`modelname`, long `flags`, long `N`, char *`constVal0`);`

## Description

Generate a N bits constant named modelname.

### Terminal Names

1. `q` : the constant (output, N bit).

2. `vdd` : power.

3. `vss` : ground.

### Behavior

    q <= constVal;

## Example

    GENLIB_MACRO(DPGEN_CONST, "model_const_0xFFFF0000"
                           , F_BEHAV|F_PLACE
                           , 4
                           , "0xFFFF0000"  /* A string! */
                           );

    GENLIB_LOINS( "model_const_0xFFFF0000"
                , "instance1_const_0xFFFF0000"
                , "q[31:0]"
                , "vdd", "vss", NULL
                );

## See Also

GENLIB_MACRO(3), genlib(1)

<<< Previous | Home | Next >>>
DPGEN_NUL | Up | DPGEN_ROM2